Language Pack Install Helper

Author(s):



When new version of Firefox was released, Language Pack was disabled.
Because Language Pack was not update automatically then version incompatible.

So I had to install additional Language Pack manually every Firefox update.
The installation process is simple but boring.
Therefore, I've developed this addon that I can install additional language pack easily.

You can install and update additional Language Packs from addon option page.

  1. Press "Open Helper Panel" button to open language install helper panel then choose language from list and install it.
  2. Press "Update Language Packs" button to update incompatible language packs. <-- NEW version 2.3
  3. Press "Open Download Site" button to open Language Pack download site then click Language Package(xpi) to install it.
You can get Language List as follows.
Listing of Language Pack

In version 2.4, Firefox ESR(Extended Support Release) version was supported.

[NOTICE]
This addon do not support Firefox beta version. Because there is no way to find proper language pack(XPI data) for beta version.

[NOTICE] 2015/08/13
This addon is stop working due to contents server ftp://ftp.mozilla.org has moved to http://archive.mozilla.org
source: ftp://ftp.mozilla.org/README - 2015/08/07 22:22:00

UPDATE: 2015/08/14
I submitted new version 2.6 for fix this problem.


Important Information: 2016/03/16
Mozilla is changing a lot of things about add-on development again. So this addon might be stop working in the future.
"The Future of Developing Firefox Add-ons | Mozilla Add-ons Blog"
https://blog.mozilla.org/addons/2015/08/21/the-future-of-developing-firefox-add-ons/

"Add-ons/developer/communication - MozillaWiki - Upcoming Changes in Add-on Development"https://wiki.mozilla.org/Add-ons/developer/communication#Upcoming_Changes_in_Add-on_Development


Download files:

language-pack-install-helpe-2.1.1-signed.xpi
language-pack-install-helpe-2.2.1-signed.xpi
language-pack-install-helpe-2.3.1.1-signed.xpi
language-pack-install-helpe-2.4.1-signed.xpi
language-pack-install-helpe-2.5.1-signed.xpi
language-pack-install-helpe-2.6.xpi


This page is part of the LegacyCollector website.
Disclaimer: All material on this site is property of their respective owners and available under
open licenses to the best of our knowledge. If you are an author and would like anything removed,
then please write an e-mail to legacy [at] collector dot org.